Bug 969030 - Library content views need to be promoted
Library content views need to be promoted
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Sachin Ghai
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 10:02 EDT by Tom McKay
Modified: 2014-04-24 13:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 970570 (view as bug list)
Environment:
Last Closed: 2014-04-24 13:07:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom McKay 2013-05-30 10:02:02 EDT
Since systems may register to Library, the content needs to be in the promoted pulp directory.

I'm not entirely sure that I'm phrasing this correctly but I was unable to consume content in Library on a registered system.
Comment 1 Garik Khachikyan 2013-05-31 08:23:16 EDT
btw: my automation tells that all kinds of yum consume operations are recently failing on this nightly. Previous day all was fine ...
Comment 5 Hayk Hovsepyan 2013-06-04 07:13:28 EDT
Reproduces on revision:
katello-common-1.4.2-1.git.527.9ece6de.el6.noarch
katello-glue-elasticsearch-1.4.2-1.git.527.9ece6de.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.4.2-1.git.71.2a2d883.el6.noarch
katello-repos-1.4.2-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-configure-1.4.3-1.git.51.c5aa3be.el6.noarch
signo-katello-0.0.9-1.el6.noarch
katello-glue-pulp-1.4.2-1.git.527.9ece6de.el6.noarch
katello-selinux-1.4.3-1.git.3.ce8227b.el6.noarch
katello-1.4.2-1.git.527.9ece6de.el6.noarch
katello-cli-1.4.2-1.git.71.2a2d883.el6.noarch
katello-certs-tools-1.4.2-1.el6.noarch
katello-glue-candlepin-1.4.2-1.git.527.9ece6de.el6.noarch
katello-all-1.4.2-1.git.527.9ece6de.el6.noarch

Steps to reproduce:
1. Create custom provider/product/zoo repo. Sync it.
2. Create content definition, add zoo repo into it, publish and promote to 'dev' environment.
3. Create activation key for 'dev' environment, Add content view and subscription pool into it.
4. Register a client by activation key.
5. Try to consume some package from zoo repo (yum install lion), it will show that package is not available. Which is bug. The same scenario worked before.

And 'yum clean all; yum repolist' on client side does not show our custom repo.

I have investigated pulp repos, and seems like there are generated correctly and have the same structure as for Sat6.0.
Comment 9 Justin Sherrill 2013-10-23 17:03:35 EDT
This should be fixed and was fixed long ago.  Content should be consumable by a system in:

Library
Library/View1
Dev/View1


(assuming View1 is the label of a Content View)

Moving to ON_QA
Comment 10 Sachin Ghai 2013-10-24 02:31:36 EDT
Verified with snap7 (MDP2)

katello-all-1.4.6-47.el6sat.noarch
katello-cli-1.4.3-27.el6sat.noarch
katello-glue-pulp-1.4.6-47.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
katello-configure-foreman-1.4.7-7.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
katello-glue-candlepin-1.4.6-47.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.12-3.el6sat.noarch
katello-foreman-all-1.4.6-47.el6sat.noarch
ruby193-rubygem-foreman-katello-engine-0.0.17-6.el6sat.noarch
katello-configure-1.4.7-7.el6sat.noarch
signo-katello-0.0.23-2.el6sat.noarch
katello-glue-elasticsearch-1.4.6-47.el6sat.noarch
katello-1.4.6-47.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-common-1.4.6-47.el6sat.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-cli-common-1.4.3-27.el6sat.noarch


case1: when contents are in 'Library' and registered system with 'Library':
======================================
I can consume content on client after registering the system with Library. My contents are in Library


[root@dhcp201-165 ~]# subscription-manager register --username admin --password admin  --org ACME_Corporation --env Library
The system has been registered with id: 240a30f0-345a-4bee-ab0a-48a3fa1c60b1 
[root@dhcp201-165 ~]# subscription-manager list --avail
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+

Product Name:         	fake                     
Product Id:           	1382595396795            
Pool Id:              	8ac14ebb41e90d270141e91b87e10005
Quantity:             	unlimited                
Service Level:        	                         
Service Type:        	                         
Multi-Entitlement:    	No                       
Expires:              	10/17/2043               
Machine Type:         	physical                 

[root@dhcp201-165 ~]# subscription-manager subscribe --pool 8ac14ebb41e90d270141e91b87e10005
Successfully consumed a subscription from the pool with id 8ac14ebb41e90d270141e91b87e10005.
[root@dhcp201-165 ~]# yum repolist
Loaded plugins: product-id, security, subscription-manager
Updating certificate-based repositories.
ACME_Corporation_fake_zo                                                                                                       | 3.7 kB     00:00     
ACME_Corporation_fake_zo/primary_db                                                                                            | 6.4 kB     00:00     
beaker-optional-x86_64-os                                                                                                      | 3.8 kB     00:00     
rhel-server                                                                                                                    | 4.0 kB     00:00     
sat6-tools                                                                                                                     | 3.8 kB     00:00     
repo id                                                                 repo name                                                               status
ACME_Corporation_fake_zo                                                zoo                                                                        32
beaker-optional-x86_64-os                                               beaker-optional-x86_64-os                                               2,635
rhel-server                                                             rhel-server                                                             3,585
sat6-tools                                                              Satellite 6 Tools                                                          18
repolist: 6,270
[root@dhcp201-165 ~]# yum install cow
Loaded plugins: product-id, security, subscription-manager
Updating certificate-based repositories.
ACME_Corporation_fake_zo                                                                                                       | 3.7 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package cow.noarch 0:2.2-3 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================================================
 Package                      Arch                            Version                         Repository                                         Size
======================================================================================================================================================
Installing:
 cow                          noarch                          2.2-3                           ACME_Corporation_fake_zo                          2.4 k

Transaction Summary
======================================================================================================================================================
Install       1 Package(s)

Total download size: 2.4 k
Installed size: 42  
Is this ok [y/N]: y
Downloading Packages:
cow-2.2-3.noarch.rpm                                                                                                           | 2.4 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
  Installing : cow-2.2-3.noarch                                                                                                                   1/1 
Installed products updated.
  Verifying  : cow-2.2-3.noarch                                                                                                                   1/1 

Installed:
  cow.noarch 0:2.2-3                                                                                                                                  

Complete!
Comment 11 Sachin Ghai 2013-10-24 02:46:19 EDT
case2: when content are in Library and registered system with 'Library/view1'
===========================================================================

Note: here view1 is pubcv1


[root@dhcp201-165 ~]# subscription-manager register --username admin --password admin  --org ACME_Corporation --env Library/pubcv1
The system has been registered with id: 6d289fcc-7349-4d3c-8298-f38c438404f4 
[root@dhcp201-165 ~]# subscription-manager list --avail
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+

Product Name:         	fake                     
Product Id:           	1382595396795            
Pool Id:              	8ac14ebb41e90d270141e91b87e10005
Quantity:             	unlimited                
Service Level:        	                         
Service Type:        	                         
Multi-Entitlement:    	No                       
Expires:              	10/17/2043               
Machine Type:         	physical                 

[root@dhcp201-165 ~]# subscription-manager subscribe --pool 8ac14ebb41e90d270141e91b87e10005
Successfully consumed a subscription from the pool with id 8ac14ebb41e90d270141e91b87e10005.
[root@dhcp201-165 ~]# yum repolist
Loaded plugins: product-id, security, subscription-manager
Updating certificate-based repositories.
ACME_Corporation_fake_zo                                                                                                       | 3.7 kB     00:00     
repo id                                                                 repo name                                                               status
ACME_Corporation_fake_zo                                                zoo                                                                        32
beaker-optional-x86_64-os                                               beaker-optional-x86_64-os                                               2,635
rhel-server                                                             rhel-server                                                             3,585
sat6-tools                                                              Satellite 6 Tools                                                          18
repolist: 6,270
[root@dhcp201-165 ~]# yum install crow
Loaded plugins: product-id, security, subscription-manager
Updating certificate-based repositories.
ACME_Corporation_fake_zo                                                                                                       | 3.7 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package crow.noarch 0:0.8-1 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================================================
 Package                       Arch                            Version                        Repository                                         Size
======================================================================================================================================================
Installing:
 crow                          noarch                          0.8-1                          ACME_Corporation_fake_zo                          2.4 k

Transaction Summary
======================================================================================================================================================
Install       1 Package(s)

Total download size: 2.4 k
Installed size: 42  
Is this ok [y/N]: n
Exiting on user Command
[root@dhcp201-165 ~]#
Comment 12 Sachin Ghai 2013-10-24 02:58:55 EDT
Case3: when contents are promoted to 'dev' env and registered system with 'dev/view1'
==========================================================================

Note: here view1 is pubcv1

[root@dhcp201-165 ~]# subscription-manager register --username admin --password admin  --org ACME_Corporation --env dev/pubcv1
The system has been registered with id: 16ff7a4f-9296-47ec-a72b-fb920d7fe389 
[root@dhcp201-165 ~]# subscription-manager list --avail
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+

Product Name:         	fake                     
Product Id:           	1382595396795            
Pool Id:              	8ac14ebb41e90d270141e91b87e10005
Quantity:             	unlimited                
Service Level:        	                         
Service Type:        	                         
Multi-Entitlement:    	No                       
Expires:              	10/17/2043               
Machine Type:         	physical                 

[root@dhcp201-165 ~]# subscription-manager subscribe --pool 8ac14ebb41e90d270141e91b87e10005
Successfully consumed a subscription from the pool with id 8ac14ebb41e90d270141e91b87e10005.
[root@dhcp201-165 ~]# yum repolist
Loaded plugins: product-id, security, subscription-manager
Updating certificate-based repositories.
ACME_Corporation_fake_zo                                                                                                       | 3.7 kB     00:00     
repo id                                                                 repo name                                                               status
ACME_Corporation_fake_zo                                                zoo                                                                        32
beaker-optional-x86_64-os                                               beaker-optional-x86_64-os                                               2,635
rhel-server                                                             rhel-server                                                             3,585
sat6-tools                                                              Satellite 6 Tools                                                          18
repolist: 6,270
[root@dhcp201-165 ~]# yum install cat
Loaded plugins: product-id, security, subscription-manager
Updating certificate-based repositories.
ACME_Corporation_fake_zo                                                                                                       | 3.7 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package cat.noarch 0:1.0-1 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================================================
 Package                      Arch                            Version                         Repository                                         Size
======================================================================================================================================================
Installing:
 cat                          noarch                          1.0-1                           ACME_Corporation_fake_zo                          2.4 k

Transaction Summary
======================================================================================================================================================
Install       1 Package(s)

Total download size: 2.4 k
Installed size: 42
Comment 13 Bryan Kearney 2014-04-24 13:07:03 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.